> ## Documentation Index
> Fetch the complete documentation index at: https://ramps-docs-sync-20260321.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List platform external accounts

> Retrieve a list of all external accounts that belong to the platform, as opposed to an individual customer.

These accounts are used for platform-wide operations such as receiving funds from external sources or managing platform-level payment destinations.




## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/grid/openapi.documented.yml get /platform/external-accounts
openapi: 3.1.0
info:
  title: Grid API
  description: >
    API for managing global payments on the open Money Grid. Built by
    Lightspark. See the full documentation at https://grid.lightspark.com/.
  version: '2025-10-13'
  contact:
    name: Lightspark Support
    email: support@lightspark.com
  license:
    name: Proprietary
    url: https://lightspark.com/terms
servers:
  - url: https://api.lightspark.com/grid/2025-10-13
    description: Production server
security:
  - BasicAuth: []
tags:
  - name: Platform Configuration
    description: >-
      Platform configuration endpoints for managing global settings. You can
      also configure these settings in the Grid dashboard.
  - name: Customers
    description: >-
      Customer management endpoints for creating and updating customer
      information
  - name: KYC/KYB Verifications
    description: >-
      Endpoints for Know Your Customer (KYC) and Know Your Business (KYB)
      verification, including managing beneficial owners and triggering
      verification for customers.
  - name: Documents
    description: >-
      Endpoints for uploading and managing verification documents for customers
      and beneficial owners. Supports KYC and KYB document requirements.
  - name: Internal Accounts
    description: >-
      Internal account management endpoints for creating and managing internal
      accounts
  - name: External Accounts
    description: >-
      External account management endpoints for creating and managing external
      bank accounts
  - name: Same-Currency Transfers
    description: >-
      Endpoints for transferring funds between internal and external accounts
      with the same currency
  - name: Cross-Currency Transfers
    description: Endpoints for creating and confirming quotes for cross-currency transfers
  - name: Transactions
    description: Endpoints for retrieving transaction information
  - name: Webhooks
    description: Webhook endpoints and configuration for receiving notifications
  - name: Invitations
    description: Endpoints for creating, claiming and managing UMA invitations
  - name: Sandbox
    description: Endpoints to trigger test cases in sandbox
  - name: API Tokens
    description: Endpoints to programmatically manage API tokens
  - name: Exchange Rates
    description: >-
      Endpoints for retrieving cached foreign exchange rates. Rates are cached
      for approximately 5 minutes and include platform-specific fees.
  - name: Discoveries
    description: >-
      Endpoints for discovering available payment rails, banks, and providers
      for a given country and currency corridor.
paths:
  /platform/external-accounts:
    get:
      tags:
        - External Accounts
      summary: List platform external accounts
      description: >
        Retrieve a list of all external accounts that belong to the platform, as
        opposed to an individual customer.


        These accounts are used for platform-wide operations such as receiving
        funds from external sources or managing platform-level payment
        destinations.
      operationId: listPlatformExternalAccounts
      parameters:
        - name: currency
          in: query
          description: Filter by currency code
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlatformExternalAccountListResponse'
        '400':
          description: Bad request - Invalid parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error400'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '500':
          description: Internal service error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error500'
      security:
        - BasicAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import LightsparkGrid from '@lightsparkdev/grid';


            const client = new LightsparkGrid({
              username: process.env['GRID_CLIENT_ID'], // This is the default and can be omitted
              password: process.env['GRID_CLIENT_SECRET'], // This is the default and can be omitted
            });


            const externalAccounts = await
            client.platform.externalAccounts.list();


            console.log(externalAccounts.data);
        - lang: Python
          source: |-
            import os
            from grid import LightsparkGrid

            client = LightsparkGrid(
                username=os.environ.get("GRID_CLIENT_ID"),  # This is the default and can be omitted
                password=os.environ.get("GRID_CLIENT_SECRET"),  # This is the default and can be omitted
            )
            external_accounts = client.platform.external_accounts.list()
            print(external_accounts.data)
        - lang: Kotlin
          source: >-
            package com.lightspark.grid.example


            import com.lightspark.grid.client.LightsparkGridClient

            import com.lightspark.grid.client.okhttp.LightsparkGridOkHttpClient

            import
            com.lightspark.grid.models.platform.externalaccounts.ExternalAccountListParams

            import
            com.lightspark.grid.models.platform.externalaccounts.ExternalAccountListResponse


            fun main() {
                val client: LightsparkGridClient = LightsparkGridOkHttpClient.fromEnv()

                val externalAccounts: ExternalAccountListResponse = client.platform().externalAccounts().list()
            }
components:
  schemas:
    PlatformExternalAccountListResponse:
      type: object
      required:
        - data
      properties:
        data:
          type: array
          description: List of external accounts matching the filter criteria
          items:
            $ref: '#/components/schemas/ExternalAccount'
    Error400:
      type: object
      required:
        - message
        - status
        - code
      properties:
        status:
          type: integer
          enum:
            - 400
          description: HTTP status code
        code:
          type: string
          description: >
            | Error Code | Description |

            |------------|-------------|

            | INVALID_INPUT | Invalid input provided |

            | MISSING_MANDATORY_USER_INFO | Required customer information is
            missing |

            | INVITATION_ALREADY_CLAIMED | Invitation has already been claimed |

            | INVITATIONS_NOT_CONFIGURED | Invitations are not configured |

            | INVALID_UMA_ADDRESS | UMA address format is invalid |

            | INVITATION_CANCELLED | Invitation has been cancelled |

            | QUOTE_REQUEST_FAILED | An issue occurred during the quote process;
            this is retryable |

            | INVALID_PAYREQ_RESPONSE | Counterparty Payreq response was invalid
            |

            | INVALID_RECEIVER | Receiver is invalid |

            | PARSE_PAYREQ_RESPONSE_ERROR | Error parsing receiver PayReq
            response |

            | CERT_CHAIN_INVALID | Counterparty certificate chain is invalid |

            | CERT_CHAIN_EXPIRED | Counterparty certificate chain has expired |

            | INVALID_PUBKEY_FORMAT | Counterparty Public key format is invalid
            |

            | MISSING_REQUIRED_UMA_PARAMETERS | Counterparty required UMA
            parameters are missing |

            | SENDER_NOT_ACCEPTED | Sender is not accepted |

            | AMOUNT_OUT_OF_RANGE | Amount is out of range |

            | INVALID_CURRENCY | Currency is invalid |

            | INVALID_TIMESTAMP | Timestamp is invalid |

            | INVALID_NONCE | Nonce is invalid |

            | INVALID_REQUEST_FORMAT | Request format is invalid |

            | INVALID_BANK_ACCOUNT | Bank account is invalid |

            | SELF_PAYMENT | Self payment not allowed |

            | LOOKUP_REQUEST_FAILED | Lookup request failed |

            | PARSE_LNURLP_RESPONSE_ERROR | Error parsing LNURLP response |

            | INVALID_AMOUNT | Amount is invalid |

            | WEBHOOK_ENDPOINT_NOT_SET | Webhook endpoint is not set |

            | WEBHOOK_DELIVERY_ERROR | Webhook delivery error |

            | LOW_QUALITY | Document quality too low to process |

            | DATA_MISMATCH | Document details don't match provided information
            |

            | EXPIRED | Document has expired |

            | SUSPECTED_FRAUD | Document suspected of being forged or edited |

            | UNSUITABLE_DOCUMENT | Document type is not accepted or not
            supported |

            | INCOMPLETE | Document is missing pages or sides |
          enum:
            - INVALID_INPUT
            - MISSING_MANDATORY_USER_INFO
            - INVITATION_ALREADY_CLAIMED
            - INVITATIONS_NOT_CONFIGURED
            - INVALID_UMA_ADDRESS
            - INVITATION_CANCELLED
            - QUOTE_REQUEST_FAILED
            - INVALID_PAYREQ_RESPONSE
            - INVALID_RECEIVER
            - PARSE_PAYREQ_RESPONSE_ERROR
            - CERT_CHAIN_INVALID
            - CERT_CHAIN_EXPIRED
            - INVALID_PUBKEY_FORMAT
            - MISSING_REQUIRED_UMA_PARAMETERS
            - SENDER_NOT_ACCEPTED
            - AMOUNT_OUT_OF_RANGE
            - INVALID_CURRENCY
            - INVALID_TIMESTAMP
            - INVALID_NONCE
            - INVALID_REQUEST_FORMAT
            - INVALID_BANK_ACCOUNT
            - SELF_PAYMENT
            - LOOKUP_REQUEST_FAILED
            - PARSE_LNURLP_RESPONSE_ERROR
            - INVALID_AMOUNT
            - WEBHOOK_ENDPOINT_NOT_SET
            - WEBHOOK_DELIVERY_ERROR
            - LOW_QUALITY
            - DATA_MISMATCH
            - EXPIRED
            - SUSPECTED_FRAUD
            - UNSUITABLE_DOCUMENT
            - INCOMPLETE
        message:
          type: string
          description: Error message
        details:
          type: object
          description: Additional error details
          additionalProperties: true
    Error401:
      type: object
      required:
        - message
        - status
        - code
      properties:
        status:
          type: integer
          enum:
            - 401
          description: HTTP status code
        code:
          type: string
          description: |
            | Error Code | Description |
            |------------|-------------|
            | UNAUTHORIZED | Issue with API credentials |
            | INVALID_SIGNATURE | Signature header is invalid |
          enum:
            - UNAUTHORIZED
            - INVALID_SIGNATURE
        message:
          type: string
          description: Error message
        details:
          type: object
          description: Additional error details
          additionalProperties: true
    Error500:
      type: object
      required:
        - message
        - status
        - code
      properties:
        status:
          type: integer
          enum:
            - 500
          description: HTTP status code
        code:
          type: string
          description: |
            | Error Code | Description |
            |------------|-------------|
            | GRID_SWITCH_ERROR | Grid switch error |
            | INTERNAL_ERROR | Internal server or UMA error |
          enum:
            - GRID_SWITCH_ERROR
            - INTERNAL_ERROR
        message:
          type: string
          description: Error message
        details:
          type: object
          description: Additional error details
          additionalProperties: true
    ExternalAccount:
      allOf:
        - type: object
          required:
            - id
            - status
            - currency
            - accountInfo
          properties:
            id:
              type: string
              description: The system generated identifier of this account
              example: ExternalAccount:e85dcbd6-dced-4ec4-b756-3c3a9ea3d965
            customerId:
              type: string
              description: >-
                The customer this account is tied to, or null if the account is
                on behalf of the platform.
              example: Customer:da459a29-1fb7-41ce-a4cb-eb3a3c9fd7a7
            status:
              $ref: '#/components/schemas/ExternalAccountStatus'
              description: Status of the external account
              example: ACTIVE
            platformAccountId:
              type: string
              description: Optional platform-specific identifier for this account
              example: acc_123456789
            currency:
              type: string
              description: The ISO 4217 currency code
              example: USD
            defaultUmaDepositAccount:
              type: boolean
              description: >-
                Whether this account is the default UMA deposit account for the
                customer. If true, incoming UMA payments to this customer's UMA
                address will be automatically deposited into this account
                instead of the primary internal account. False if not provided.
                Note that at most, one external account can be set as the
                default UMA deposit account for a customer. If there is no
                default UMA deposit account, incoming UMA payments will be
                deposited into the primary internal account for the customer.
              example: false
            beneficiaryVerificationStatus:
              $ref: '#/components/schemas/BeneficiaryVerificationStatus'
              description: >-
                The result of verifying the beneficiary name against the account
                holder name
            beneficiaryVerifiedData:
              $ref: '#/components/schemas/BeneficiaryVerifiedData'
              description: >-
                Verified beneficiary data returned by the payment rail, if
                available
            cryptoNetwork:
              type: string
              description: >-
                The blockchain network for this external account, if applicable.
                Present when the account is a cryptocurrency wallet. Example
                values: SOLANA_MAINNET, SOLANA_DEVNET, ETHEREUM_MAINNET,
                ETHEREUM_TESTNET, BASE_MAINNET, BASE_TESTNET, SPARK_MAINNET,
                SPARK_TESTNET, LIGHTNING_MAINNET, LIGHTNING_REGTEST.
              example: SOLANA_MAINNET
            accountInfo:
              $ref: '#/components/schemas/ExternalAccountInfoOneOf'
    ExternalAccountStatus:
      type: string
      enum:
        - PENDING
        - ACTIVE
        - UNDER_REVIEW
        - INACTIVE
      description: Status of an external account
    BeneficiaryVerificationStatus:
      type: string
      enum:
        - MATCHED
        - PARTIAL_MATCH
        - NOT_MATCHED
        - UNSUPPORTED
        - CHECKED_BY_RECEIVING_FI
        - PENDING
      description: >
        The result of verifying the beneficiary name against the account holder
        name.


        | Status | Description |

        |--------|-------------|

        | `MATCHED` | The beneficiary name is an exact match |

        | `PARTIAL_MATCH` | The beneficiary name is a fuzzy match |

        | `NOT_MATCHED` | The beneficiary name does not match |

        | `UNSUPPORTED` | The payment rail does not support name verification |

        | `CHECKED_BY_RECEIVING_FI` | Verification is deferred to the receiving
        financial institution (e.g. ACH) |

        | `PENDING` | Verification is still in progress |
    BeneficiaryVerifiedData:
      type: object
      properties:
        fullName:
          type: string
          description: >-
            The verified full name of the account holder as returned by the
            payment rail
          example: John Doe
    ExternalAccountInfoOneOf:
      oneOf:
        - $ref: '#/components/schemas/BrlExternalAccountInfo'
        - $ref: '#/components/schemas/CadExternalAccountInfo'
        - $ref: '#/components/schemas/DkkExternalAccountInfo'
        - $ref: '#/components/schemas/EurExternalAccountInfo'
        - $ref: '#/components/schemas/GbpExternalAccountInfo'
        - $ref: '#/components/schemas/HkdExternalAccountInfo'
        - $ref: '#/components/schemas/IdrExternalAccountInfo'
        - $ref: '#/components/schemas/InrExternalAccountInfo'
        - $ref: '#/components/schemas/KesExternalAccountInfo'
        - $ref: '#/components/schemas/MwkExternalAccountInfo'
        - $ref: '#/components/schemas/MxnExternalAccountInfo'
        - $ref: '#/components/schemas/MyrExternalAccountInfo'
        - $ref: '#/components/schemas/NgnExternalAccountInfo'
        - $ref: '#/components/schemas/PhpExternalAccountInfo'
        - $ref: '#/components/schemas/RwfExternalAccountInfo'
        - $ref: '#/components/schemas/SgdExternalAccountInfo'
        - $ref: '#/components/schemas/ThbExternalAccountInfo'
        - $ref: '#/components/schemas/TzsExternalAccountInfo'
        - $ref: '#/components/schemas/UgxExternalAccountInfo'
        - $ref: '#/components/schemas/UsdExternalAccountInfo'
        - $ref: '#/components/schemas/VndExternalAccountInfo'
        - $ref: '#/components/schemas/XofExternalAccountInfo'
        - $ref: '#/components/schemas/ZarExternalAccountInfo'
        - $ref: '#/components/schemas/ZmwExternalAccountInfo'
        - $ref: '#/components/schemas/SparkWalletExternalAccountInfo'
        - $ref: '#/components/schemas/LightningExternalAccountInfo'
        - $ref: '#/components/schemas/SolanaWalletExternalAccountInfo'
        - $ref: '#/components/schemas/TronWalletExternalAccountInfo'
        - $ref: '#/components/schemas/PolygonWalletExternalAccountInfo'
        - $ref: '#/components/schemas/BaseWalletExternalAccountInfo'
        - $ref: '#/components/schemas/EthereumWalletExternalAccountInfo'
        - $ref: '#/components/schemas/AedExternalAccountInfo'
        - $ref: '#/components/schemas/BwpExternalAccountInfo'
        - $ref: '#/components/schemas/XafExternalAccountInfo'
        - $ref: '#/components/schemas/BdtExternalAccountInfo'
        - $ref: '#/components/schemas/CopExternalAccountInfo'
        - $ref: '#/components/schemas/EgpExternalAccountInfo'
        - $ref: '#/components/schemas/GhsExternalAccountInfo'
        - $ref: '#/components/schemas/GtqExternalAccountInfo'
        - $ref: '#/components/schemas/HtgExternalAccountInfo'
        - $ref: '#/components/schemas/JmdExternalAccountInfo'
        - $ref: '#/components/schemas/PkrExternalAccountInfo'
      discriminator:
        propertyName: accountType
        mapping:
          BRL_ACCOUNT:
            $ref: '#/components/schemas/BrlExternalAccountInfo'
          CAD_ACCOUNT:
            $ref: '#/components/schemas/CadExternalAccountInfo'
          DKK_ACCOUNT:
            $ref: '#/components/schemas/DkkExternalAccountInfo'
          EUR_ACCOUNT:
            $ref: '#/components/schemas/EurExternalAccountInfo'
          GBP_ACCOUNT:
            $ref: '#/components/schemas/GbpExternalAccountInfo'
          HKD_ACCOUNT:
            $ref: '#/components/schemas/HkdExternalAccountInfo'
          IDR_ACCOUNT:
            $ref: '#/components/schemas/IdrExternalAccountInfo'
          INR_ACCOUNT:
            $ref: '#/components/schemas/InrExternalAccountInfo'
          KES_ACCOUNT:
            $ref: '#/components/schemas/KesExternalAccountInfo'
          MWK_ACCOUNT:
            $ref: '#/components/schemas/MwkExternalAccountInfo'
          MXN_ACCOUNT:
            $ref: '#/components/schemas/MxnExternalAccountInfo'
          MYR_ACCOUNT:
            $ref: '#/components/schemas/MyrExternalAccountInfo'
          NGN_ACCOUNT:
            $ref: '#/components/schemas/NgnExternalAccountInfo'
          PHP_ACCOUNT:
            $ref: '#/components/schemas/PhpExternalAccountInfo'
          RWF_ACCOUNT:
            $ref: '#/components/schemas/RwfExternalAccountInfo'
          SGD_ACCOUNT:
            $ref: '#/components/schemas/SgdExternalAccountInfo'
          THB_ACCOUNT:
            $ref: '#/components/schemas/ThbExternalAccountInfo'
          TZS_ACCOUNT:
            $ref: '#/components/schemas/TzsExternalAccountInfo'
          UGX_ACCOUNT:
            $ref: '#/components/schemas/UgxExternalAccountInfo'
          USD_ACCOUNT:
            $ref: '#/components/schemas/UsdExternalAccountInfo'
          VND_ACCOUNT:
            $ref: '#/components/schemas/VndExternalAccountInfo'
          XOF_ACCOUNT:
            $ref: '#/components/schemas/XofExternalAccountInfo'
          ZAR_ACCOUNT:
            $ref: '#/components/schemas/ZarExternalAccountInfo'
          ZMW_ACCOUNT:
            $ref: '#/components/schemas/ZmwExternalAccountInfo'
          SPARK_WALLET:
            $ref: '#/components/schemas/SparkWalletExternalAccountInfo'
          LIGHTNING:
            $ref: '#/components/schemas/LightningExternalAccountInfo'
          SOLANA_WALLET:
            $ref: '#/components/schemas/SolanaWalletExternalAccountInfo'
          TRON_WALLET:
            $ref: '#/components/schemas/TronWalletExternalAccountInfo'
          POLYGON_WALLET:
            $ref: '#/components/schemas/PolygonWalletExternalAccountInfo'
          BASE_WALLET:
            $ref: '#/components/schemas/BaseWalletExternalAccountInfo'
          ETHEREUM_WALLET:
            $ref: '#/components/schemas/EthereumWalletExternalAccountInfo'
          AED_ACCOUNT:
            $ref: '#/components/schemas/AedExternalAccountInfo'
          BWP_ACCOUNT:
            $ref: '#/components/schemas/BwpExternalAccountInfo'
          XAF_ACCOUNT:
            $ref: '#/components/schemas/XafExternalAccountInfo'
          BDT_ACCOUNT:
            $ref: '#/components/schemas/BdtExternalAccountInfo'
          COP_ACCOUNT:
            $ref: '#/components/schemas/CopExternalAccountInfo'
          EGP_ACCOUNT:
            $ref: '#/components/schemas/EgpExternalAccountInfo'
          GHS_ACCOUNT:
            $ref: '#/components/schemas/GhsExternalAccountInfo'
          GTQ_ACCOUNT:
            $ref: '#/components/schemas/GtqExternalAccountInfo'
          HTG_ACCOUNT:
            $ref: '#/components/schemas/HtgExternalAccountInfo'
          JMD_ACCOUNT:
            $ref: '#/components/schemas/JmdExternalAccountInfo'
          LIGHTNING_ACCOUNT:
            $ref: '#/components/schemas/LightningExternalAccountInfo'
          PKR_ACCOUNT:
            $ref: '#/components/schemas/PkrExternalAccountInfo'
    BrlExternalAccountInfo:
      title: BRL Account
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/BrlAccountInfo'
        - type: object
          required:
            - beneficiary
          properties:
            beneficiary:
              oneOf:
                - $ref: '#/components/schemas/BrlBeneficiary'
                  title: Individual Beneficiary
                - $ref: '#/components/schemas/BusinessBeneficiary'
                  title: Business Beneficiary
              discriminator:
                propertyName: beneficiaryType
                mapping:
                  INDIVIDUAL:
                    $ref: '#/components/schemas/BrlBeneficiary'
                  BUSINESS:
                    $ref: '#/components/schemas/BusinessBeneficiary'
    CadExternalAccountInfo:
      title: CAD Account
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/CadAccountInfo'
        - type: object
          required:
            - beneficiary
          properties:
            beneficiary:
              oneOf:
                - $ref: '#/components/schemas/CadBeneficiary'
                  title: Individual Beneficiary
                - $ref: '#/components/schemas/BusinessBeneficiary'
                  title: Business Beneficiary
              discriminator:
                propertyName: beneficiaryType
                mapping:
                  INDIVIDUAL:
                    $ref: '#/components/schemas/CadBeneficiary'
                  BUSINESS:
                    $ref: '#/components/schemas/BusinessBeneficiary'
    DkkExternalAccountInfo:
      title: DKK Account
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/DkkAccountInfo'
        - type: object
          required:
            - beneficiary
          properties:
            beneficiary:
              oneOf:
                - $ref: '#/components/schemas/DkkBeneficiary'
                  title: Individual Beneficiary
                - $ref: '#/components/schemas/BusinessBeneficiary'
                  title: Business Beneficiary
              discriminator:
                propertyName: beneficiaryType
                mapping:
                  INDIVIDUAL:
                    $ref: '#/components/schemas/DkkBeneficiary'
                  BUSINESS:
                    $ref: '#/components/schemas/BusinessBeneficiary'
    EurExternalAccountInfo:
      title: EUR Account
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/EurAccountInfo'
        - type: object
          required:
            - beneficiary
          properties:
            beneficiary:
              oneOf:
                - $ref: '#/components/schemas/EurBeneficiary'
                  title: Individual Beneficiary
                - $ref: '#/components/schemas/BusinessBeneficiary'
                  title: Business Beneficiary
              discriminator:
                propertyName: beneficiaryType
                mapping:
                  INDIVIDUAL:
                    $ref: '#/components/schemas/EurBeneficiary'
                  BUSINESS:
                    $ref: '#/components/schemas/BusinessBeneficiary'
    GbpExternalAccountInfo:
      title: GBP Account
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/GbpAccountInfo'
        - type: object
          required:
            - beneficiary
          properties:
            beneficiary:
              oneOf:
                - $ref: '#/components/schemas/GbpBeneficiary'
                  title: Individual Beneficiary
                - $ref: '#/components/schemas/BusinessBeneficiary'
                  title: Business Beneficiary
              discriminator:
                propertyName: beneficiaryType
                mapping:
                  INDIVIDUAL:
                    $ref: '#/components/schemas/GbpBeneficiary'
                  BUSINESS:
                    $ref: '#/components/schemas/BusinessBeneficiary'
    HkdExternalAccountInfo:
      title: HKD Account
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/HkdAccountInfo'
        - type: object
          required:
            - beneficiary
          properties:
            beneficiary:
              oneOf:
                - $ref: '#/components/schemas/HkdBeneficiary'
                  title: Individual Beneficiary
                - $ref: '#/components/schemas/BusinessBeneficiary'
                  title: Business Beneficiary
              discriminator:
                propertyName: beneficiaryType
                mapping:
                  INDIVIDUAL:
                    $ref: '#/components/schemas/HkdBeneficiary'
                  BUSINESS:
                    $ref: '#/components/schemas/BusinessBeneficiary'
    IdrExternalAccountInfo:
      title: IDR Account
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/IdrAccountInfo'
        - type: object
          required:
            - beneficiary
          properties:
            beneficiary:
              oneOf:
                - $ref: '#/components/schemas/IdrBeneficiary'
                  title: Individual Beneficiary
                - $ref: '#/components/schemas/BusinessBeneficiary'
                  title: Business Beneficiary
              discriminator:
                propertyName: beneficiaryType
                mapping:
                  INDIVIDUAL:
                    $ref: '#/components/schemas/IdrBeneficiary'
                  BUSINESS:
                    $ref: '#/components/schemas/BusinessBeneficiary'
    InrExternalAccountInfo:
      title: INR Account
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/InrAccountInfo'
        - type: object
          required:
            - beneficiary
          properties:
            beneficiary:
              oneOf:
                - $ref: '#/components/schemas/InrBeneficiary'
                  title: Individual Beneficiary
                - $ref: '#/components/schemas/BusinessBeneficiary'
                  title: Business Beneficiary
              discriminator:
                propertyName: beneficiaryType
                mapping:
                  INDIVIDUAL:
                    $ref: '#/components/schemas/InrBeneficiary'
                  BUSINESS:
                    $ref: '#/components/schemas/BusinessBeneficiary'
    KesExternalAccountInfo:
      title: KES Account
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/KesAccountInfo'
        - type: object
          required:
            - beneficiary
          properties:
            beneficiary:
              oneOf:
                - $ref: '#/components/schemas/KesBeneficiary'
                  title: Individual Beneficiary
                - $ref: '#/components/schemas/BusinessBeneficiary'
                  title: Business Beneficiary
              discriminator:
                propertyName: beneficiaryType
                mapping:
                  INDIVIDUAL:
                    $ref: '#/components/schemas/KesBeneficiary'
                  BUSINESS:
                    $ref: '#/components/schemas/BusinessBeneficiary'
    MwkExternalAccountInfo:
      title: MWK Account
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/MwkAccountInfo'
        - type: object
          required:
            - beneficiary
          properties:
            beneficiary:
              oneOf:
                - $ref: '#/components/schemas/MwkBeneficiary'
                  title: Individual Beneficiary
                - $ref: '#/components/schemas/BusinessBeneficiary'
                  title: Business Beneficiary
              discriminator:
                propertyName: beneficiaryType
                mapping:
                  INDIVIDUAL:
                    $ref: '#/components/schemas/MwkBeneficiary'
                  BUSINESS:
                    $ref: '#/components/schemas/BusinessBeneficiary'
    MxnExternalAccountInfo:
      title: MXN Account
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/MxnAccountInfo'
        - type: object
          required:
            - beneficiary
          properties:
            beneficiary:
              oneOf:
                - $ref: '#/components/schemas/MxnBeneficiary'
                  title: Individual Beneficiary
                - $ref: '#/components/schemas/BusinessBeneficiary'
                  title: Business Beneficiary
              discriminator:
                propertyName: beneficiaryType
                mapping:
                  INDIVIDUAL:
                    $ref: '#/components/schemas/MxnBeneficiary'
                  BUSINESS:
                    $ref: '#/components/schemas/BusinessBeneficiary'
    MyrExternalAccountInfo:
      title: MYR Account
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/MyrAccountInfo'
        - type: object
          required:
            - beneficiary
          properties:
            beneficiary:
              oneOf:
                - $ref: '#/components/schemas/MyrBeneficiary'
                  title: Individual Beneficiary
                - $ref: '#/components/schemas/BusinessBeneficiary'
                  title: Business Beneficiary
              discriminator:
                propertyName: beneficiaryType
                mapping:
                  INDIVIDUAL:
                    $ref: '#/components/schemas/MyrBeneficiary'
                  BUSINESS:
                    $ref: '#/components/schemas/BusinessBeneficiary'
    NgnExternalAccountInfo:
      title: NGN Account
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/NgnAccountInfo'
        - type: object
          required:
            - beneficiary
          properties:
            beneficiary:
              oneOf:
                - $ref: '#/components/schemas/NgnBeneficiary'
                  title: Individual Beneficiary
                - $ref: '#/components/schemas/BusinessBeneficiary'
                  title: Business Beneficiary
              discriminator:
                propertyName: beneficiaryType
                mapping:
                  INDIVIDUAL:
                    $ref: '#/components/schemas/NgnBeneficiary'
                  BUSINESS:
                    $ref: '#/components/schemas/BusinessBeneficiary'
    PhpExternalAccountInfo:
      title: PHP Account
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/PhpAccountInfo'
        - type: object
          required:
            - beneficiary
          properties:
            beneficiary:
              oneOf:
                - $ref: '#/components/schemas/PhpBeneficiary'
                  title: Individual Beneficiary
                - $ref: '#/components/schemas/BusinessBeneficiary'
                  title: Business Beneficiary
              discriminator:
                propertyName: beneficiaryType
                mapping:
                  INDIVIDUAL:
                    $ref: '#/components/schemas/PhpBeneficiary'
                  BUSINESS:
                    $ref: '#/components/schemas/BusinessBeneficiary'
    RwfExternalAccountInfo:
      title: RWF Account
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/RwfAccountInfo'
        - type: object
          required:
            - beneficiary
          properties:
            beneficiary:
              oneOf:
                - $ref: '#/components/schemas/RwfBeneficiary'
                  title: Individual Beneficiary
                - $ref: '#/components/schemas/BusinessBeneficiary'
                  title: Business Beneficiary
              discriminator:
                propertyName: beneficiaryType
                mapping:
                  INDIVIDUAL:
                    $ref: '#/components/schemas/RwfBeneficiary'
                  BUSINESS:
                    $ref: '#/components/schemas/BusinessBeneficiary'
    SgdExternalAccountInfo:
      title: SGD Account
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/SgdAccountInfo'
        - type: object
          required:
            - beneficiary
          properties:
            beneficiary:
              oneOf:
                - $ref: '#/components/schemas/SgdBeneficiary'
                  title: Individual Beneficiary
                - $ref: '#/components/schemas/BusinessBeneficiary'
                  title: Business Beneficiary
              discriminator:
                propertyName: beneficiaryType
                mapping:
                  INDIVIDUAL:
                    $ref: '#/components/schemas/SgdBeneficiary'
                  BUSINESS:
                    $ref: '#/components/schemas/BusinessBeneficiary'
    ThbExternalAccountInfo:
      title: THB Account
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/ThbAccountInfo'
        - type: object
          required:
            - beneficiary
          properties:
            beneficiary:
              oneOf:
                - $ref: '#/components/schemas/ThbBeneficiary'
                  title: Individual Beneficiary
                - $ref: '#/components/schemas/BusinessBeneficiary'
                  title: Business Beneficiary
              discriminator:
                propertyName: beneficiaryType
                mapping:
                  INDIVIDUAL:
                    $ref: '#/components/schemas/ThbBeneficiary'
                  BUSINESS:
                    $ref: '#/components/schemas/BusinessBeneficiary'
    TzsExternalAccountInfo:
      title: TZS Account
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/TzsAccountInfo'
        - type: object
          required:
            - beneficiary
          properties:
            beneficiary:
              oneOf:
                - $ref: '#/components/schemas/TzsBeneficiary'
                  title: Individual Beneficiary
                - $ref: '#/components/schemas/BusinessBeneficiary'
                  title: Business Beneficiary
              discriminator:
                propertyName: beneficiaryType
                mapping:
                  INDIVIDUAL:
                    $ref: '#/components/schemas/TzsBeneficiary'
                  BUSINESS:
                    $ref: '#/components/schemas/BusinessBeneficiary'
    UgxExternalAccountInfo:
      title: UGX Account
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/UgxAccountInfo'
        - type: object
          required:
            - beneficiary
          properties:
            beneficiary:
              oneOf:
                - $ref: '#/components/schemas/UgxBeneficiary'
                  title: Individual Beneficiary
                - $ref: '#/components/schemas/BusinessBeneficiary'
                  title: Business Beneficiary
              discriminator:
                propertyName: beneficiaryType
                mapping:
                  INDIVIDUAL:
                    $ref: '#/components/schemas/UgxBeneficiary'
                  BUSINESS:
                    $ref: '#/components/schemas/BusinessBeneficiary'
    UsdExternalAccountInfo:
      title: USD Account
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/UsdAccountInfo'
        - type: object
          required:
            - beneficiary
          properties:
            beneficiary:
              oneOf:
                - $ref: '#/components/schemas/UsdBeneficiary'
                  title: Individual Beneficiary
                - $ref: '#/components/schemas/BusinessBeneficiary'
                  title: Business Beneficiary
              discriminator:
                propertyName: beneficiaryType
                mapping:
                  INDIVIDUAL:
                    $ref: '#/components/schemas/UsdBeneficiary'
                  BUSINESS:
                    $ref: '#/components/schemas/BusinessBeneficiary'
    VndExternalAccountInfo:
      title: VND Account
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/VndAccountInfo'
        - type: object
          required:
            - beneficiary
          properties:
            beneficiary:
              oneOf:
                - $ref: '#/components/schemas/VndBeneficiary'
                  title: Individual Beneficiary
                - $ref: '#/components/schemas/BusinessBeneficiary'
                  title: Business Beneficiary
              discriminator:
                propertyName: beneficiaryType
                mapping:
                  INDIVIDUAL:
                    $ref: '#/components/schemas/VndBeneficiary'
                  BUSINESS:
                    $ref: '#/components/schemas/BusinessBeneficiary'
    XofExternalAccountInfo:
      title: XOF Account
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/XofAccountInfo'
        - type: object
          required:
            - beneficiary
          properties:
            beneficiary:
              oneOf:
                - $ref: '#/components/schemas/XofBeneficiary'
                  title: Individual Beneficiary
                - $ref: '#/components/schemas/BusinessBeneficiary'
                  title: Business Beneficiary
              discriminator:
                propertyName: beneficiaryType
                mapping:
                  INDIVIDUAL:
                    $ref: '#/components/schemas/XofBeneficiary'
                  BUSINESS:
                    $ref: '#/components/schemas/BusinessBeneficiary'
    ZarExternalAccountInfo:
      title: ZAR Account
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/ZarAccountInfo'
        - type: object
          required:
            - beneficiary
          properties:
            beneficiary:
              oneOf:
                - $ref: '#/components/schemas/ZarBeneficiary'
                  title: Individual Beneficiary
                - $ref: '#/components/schemas/BusinessBeneficiary'
                  title: Business Beneficiary
              discriminator:
                propertyName: beneficiaryType
                mapping:
                  INDIVIDUAL:
                    $ref: '#/components/schemas/ZarBeneficiary'
                  BUSINESS:
                    $ref: '#/components/schemas/BusinessBeneficiary'
    ZmwExternalAccountInfo:
      title: ZMW Account
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/ZmwAccountInfo'
        - type: object
          required:
            - beneficiary
          properties:
            beneficiary:
              oneOf:
                - $ref: '#/components/schemas/ZmwBeneficiary'
                  title: Individual Beneficiary
                - $ref: '#/components/schemas/BusinessBeneficiary'
                  title: Business Beneficiary
              discriminator:
                propertyName: beneficiaryType
                mapping:
                  INDIVIDUAL:
                    $ref: '#/components/schemas/ZmwBeneficiary'
                  BUSINESS:
                    $ref: '#/components/schemas/BusinessBeneficiary'
    SparkWalletExternalAccountInfo:
      title: Spark Wallet
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/SparkWalletInfo'
    LightningExternalAccountInfo:
      title: Lightning
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/LightningInfo'
    SolanaWalletExternalAccountInfo:
      title: Solana Wallet
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/SolanaWalletInfo'
    TronWalletExternalAccountInfo:
      title: Tron Wallet
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/TronWalletInfo'
    PolygonWalletExternalAccountInfo:
      title: Polygon Wallet
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/PolygonWalletInfo'
    BaseWalletExternalAccountInfo:
      title: Base Wallet
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/BaseWalletInfo'
    EthereumWalletExternalAccountInfo:
      title: Ethereum L1 Wallet
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/EthereumWalletInfo'
    AedExternalAccountInfo:
      title: AED Account
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/AedAccountInfo'
        - type: object
          required:
            - beneficiary
          properties:
            beneficiary:
              oneOf:
                - $ref: '#/components/schemas/AedBeneficiary'
                  title: Individual Beneficiary
                - $ref: '#/components/schemas/BusinessBeneficiary'
                  title: Business Beneficiary
              discriminator:
                propertyName: beneficiaryType
                mapping:
                  INDIVIDUAL:
                    $ref: '#/components/schemas/AedBeneficiary'
                  BUSINESS:
                    $ref: '#/components/schemas/BusinessBeneficiary'
    BwpExternalAccountInfo:
      title: BWP Account
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/BwpAccountInfo'
        - type: object
          required:
            - beneficiary
          properties:
            beneficiary:
              oneOf:
                - $ref: '#/components/schemas/BwpBeneficiary'
                  title: Individual Beneficiary
                - $ref: '#/components/schemas/BusinessBeneficiary'
                  title: Business Beneficiary
              discriminator:
                propertyName: beneficiaryType
                mapping:
                  INDIVIDUAL:
                    $ref: '#/components/schemas/BwpBeneficiary'
                  BUSINESS:
                    $ref: '#/components/schemas/BusinessBeneficiary'
    XafExternalAccountInfo:
      title: XAF Account
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/XafAccountInfo'
        - type: object
          required:
            - beneficiary
          properties:
            beneficiary:
              oneOf:
                - $ref: '#/components/schemas/XafBeneficiary'
                  title: Individual Beneficiary
                - $ref: '#/components/schemas/BusinessBeneficiary'
                  title: Business Beneficiary
              discriminator:
                propertyName: beneficiaryType
                mapping:
                  INDIVIDUAL:
                    $ref: '#/components/schemas/XafBeneficiary'
                  BUSINESS:
                    $ref: '#/components/schemas/BusinessBeneficiary'
    BdtExternalAccountInfo:
      title: BDT Account
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/BdtAccountInfo'
        - type: object
          required:
            - beneficiary
          properties:
            beneficiary:
              oneOf:
                - $ref: '#/components/schemas/BdtBeneficiary'
                  title: Individual Beneficiary
                - $ref: '#/components/schemas/BusinessBeneficiary'
                  title: Business Beneficiary
              discriminator:
                propertyName: beneficiaryType
                mapping:
                  INDIVIDUAL:
                    $ref: '#/components/schemas/BdtBeneficiary'
                  BUSINESS:
                    $ref: '#/components/schemas/BusinessBeneficiary'
    CopExternalAccountInfo:
      title: COP Account
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/CopAccountInfo'
        - type: object
          required:
            - beneficiary
          properties:
            beneficiary:
              oneOf:
                - $ref: '#/components/schemas/CopBeneficiary'
                  title: Individual Beneficiary
                - $ref: '#/components/schemas/BusinessBeneficiary'
                  title: Business Beneficiary
              discriminator:
                propertyName: beneficiaryType
                mapping:
                  INDIVIDUAL:
                    $ref: '#/components/schemas/CopBeneficiary'
                  BUSINESS:
                    $ref: '#/components/schemas/BusinessBeneficiary'
    EgpExternalAccountInfo:
      title: EGP Account
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/EgpAccountInfo'
        - type: object
          required:
            - beneficiary
          properties:
            beneficiary:
              oneOf:
                - $ref: '#/components/schemas/EgpBeneficiary'
                  title: Individual Beneficiary
                - $ref: '#/components/schemas/BusinessBeneficiary'
                  title: Business Beneficiary
              discriminator:
                propertyName: beneficiaryType
                mapping:
                  INDIVIDUAL:
                    $ref: '#/components/schemas/EgpBeneficiary'
                  BUSINESS:
                    $ref: '#/components/schemas/BusinessBeneficiary'
    GhsExternalAccountInfo:
      title: GHS Account
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/GhsAccountInfo'
        - type: object
          required:
            - beneficiary
          properties:
            beneficiary:
              oneOf:
                - $ref: '#/components/schemas/GhsBeneficiary'
                  title: Individual Beneficiary
                - $ref: '#/components/schemas/BusinessBeneficiary'
                  title: Business Beneficiary
              discriminator:
                propertyName: beneficiaryType
                mapping:
                  INDIVIDUAL:
                    $ref: '#/components/schemas/GhsBeneficiary'
                  BUSINESS:
                    $ref: '#/components/schemas/BusinessBeneficiary'
    GtqExternalAccountInfo:
      title: GTQ Account
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/GtqAccountInfo'
        - type: object
          required:
            - beneficiary
          properties:
            beneficiary:
              oneOf:
                - $ref: '#/components/schemas/GtqBeneficiary'
                  title: Individual Beneficiary
                - $ref: '#/components/schemas/BusinessBeneficiary'
                  title: Business Beneficiary
              discriminator:
                propertyName: beneficiaryType
                mapping:
                  INDIVIDUAL:
                    $ref: '#/components/schemas/GtqBeneficiary'
                  BUSINESS:
                    $ref: '#/components/schemas/BusinessBeneficiary'
    HtgExternalAccountInfo:
      title: HTG Account
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/HtgAccountInfo'
        - type: object
          required:
            - beneficiary
          properties:
            beneficiary:
              oneOf:
                - $ref: '#/components/schemas/HtgBeneficiary'
                  title: Individual Beneficiary
                - $ref: '#/components/schemas/BusinessBeneficiary'
                  title: Business Beneficiary
              discriminator:
                propertyName: beneficiaryType
                mapping:
                  INDIVIDUAL:
                    $ref: '#/components/schemas/HtgBeneficiary'
                  BUSINESS:
                    $ref: '#/components/schemas/BusinessBeneficiary'
    JmdExternalAccountInfo:
      title: JMD Account
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/JmdAccountInfo'
        - type: object
          required:
            - beneficiary
          properties:
            beneficiary:
              oneOf:
                - $ref: '#/components/schemas/JmdBeneficiary'
                  title: Individual Beneficiary
                - $ref: '#/components/schemas/BusinessBeneficiary'
                  title: Business Beneficiary
              discriminator:
                propertyName: beneficiaryType
                mapping:
                  INDIVIDUAL:
                    $ref: '#/components/schemas/JmdBeneficiary'
                  BUSINESS:
                    $ref: '#/components/schemas/BusinessBeneficiary'
    PkrExternalAccountInfo:
      title: PKR Account
      allOf:
        - $ref: '#/components/schemas/BaseExternalAccountInfo'
        - $ref: '#/components/schemas/PkrAccountInfo'
        - type: object
          required:
            - beneficiary
          properties:
            beneficiary:
              oneOf:
                - $ref: '#/components/schemas/PkrBeneficiary'
                  title: Individual Beneficiary
                - $ref: '#/components/schemas/BusinessBeneficiary'
                  title: Business Beneficiary
              discriminator:
                propertyName: beneficiaryType
                mapping:
                  INDIVIDUAL:
                    $ref: '#/components/schemas/PkrBeneficiary'
                  BUSINESS:
                    $ref: '#/components/schemas/BusinessBeneficiary'
    BaseExternalAccountInfo:
      type: object
      required:
        - accountType
      properties:
        accountType:
          $ref: '#/components/schemas/ExternalAccountType'
    BrlAccountInfo:
      allOf:
        - $ref: '#/components/schemas/BrlAccountInfoBase'
        - type: object
          required:
            - paymentRails
          properties:
            paymentRails:
              type: array
              items:
                type: string
                enum:
                  - PIX
    BrlBeneficiary:
      title: Individual Beneficiary
      type: object
      required:
        - beneficiaryType
        - fullName
      properties:
        beneficiaryType:
          type: string
          enum:
            - INDIVIDUAL
        fullName:
          type: string
          description: The full name of the beneficiary
        birthDate:
          type: string
          description: The birth date of the beneficiary
        nationality:
          type: string
          description: The nationality of the beneficiary
        email:
          type: string
          description: The email of the beneficiary
        phoneNumber:
          type: string
          description: The phone number of the beneficiary
        countryOfResidence:
          type: string
          description: The country of residence of the beneficiary
        address:
          $ref: '#/components/schemas/Address'
    BusinessBeneficiary:
      title: Business Beneficiary
      type: object
      required:
        - beneficiaryType
        - legalName
      properties:
        beneficiaryType:
          type: string
          enum:
            - BUSINESS
        legalName:
          type: string
          description: The legal name of the business
        registrationNumber:
          type: string
          description: The registration number of the business
        taxId:
          type: string
          description: The tax identification number of the business
        email:
          type: string
          description: The email of the beneficiary
        phoneNumber:
          type: string
          description: The phone number of the beneficiary
        countryOfResidence:
          type: string
          description: The country of residence of the beneficiary
        address:
          $ref: '#/components/schemas/Address'
    CadAccountInfo:
      allOf:
        - $ref: '#/components/schemas/CadAccountInfoBase'
        - type: object
          required:
            - paymentRails
          properties:
            paymentRails:
              type: array
              items:
                type: string
                enum:
                  - BANK_TRANSFER
    CadBeneficiary:
      title: Individual Beneficiary
      type: object
      required:
        - beneficiaryType
        - fullName
      properties:
        beneficiaryType:
          type: string
          enum:
            - INDIVIDUAL
        fullName:
          type: string
          description: The full name of the beneficiary
        birthDate:
          type: string
          description: The birth date of the beneficiary
        nationality:
          type: string
          description: The nationality of the beneficiary
        email:
          type: string
          description: The email of the beneficiary
        phoneNumber:
          type: string
          description: The phone number of the beneficiary
        registrationNumber:
          type: string
          description: The registration number of the beneficiary
        countryOfResidence:
          type: string
          description: The country of residence of the beneficiary
        address:
          $ref: '#/components/schemas/Address'
    DkkAccountInfo:
      allOf:
        - $ref: '#/components/schemas/DkkAccountInfoBase'
        - type: object
          required:
            - paymentRails
          properties:
            paymentRails:
              type: array
              items:
                type: string
                enum:
                  - SEPA
                  - SEPA_INSTANT
    DkkBeneficiary:
      title: Individual Beneficiary
      type: object
      required:
        - beneficiaryType
        - fullName
      properties:
        beneficiaryType:
          type: string
          enum:
            - INDIVIDUAL
        fullName:
          type: string
          description: The full name of the beneficiary
        birthDate:
          type: string
          description: The birth date of the beneficiary
        nationality:
          type: string
          description: The nationality of the beneficiary
        email:
          type: string
          description: The email of the beneficiary
        phoneNumber:
          type: string
          description: The phone number of the beneficiary
        countryOfResidence:
          type: string
          description: The country of residence of the beneficiary
        address:
          $ref: '#/components/schemas/Address'
    EurAccountInfo:
      allOf:
        - $ref: '#/components/schemas/EurAccountInfoBase'
        - type: object
          required:
            - paymentRails
          properties:
            paymentRails:
              type: array
              items:
                type: string
                enum:
                  - SEPA
                  - SEPA_INSTANT
    EurBeneficiary:
      title: Individual Beneficiary
      type: object
      required:
        - beneficiaryType
        - address
        - fullName
      properties:
        beneficiaryType:
          type: string
          enum:
            - INDIVIDUAL
        fullName:
          type: string
          description: The full name of the beneficiary
        birthDate:
          type: string
          description: The birth date of the beneficiary
        nationality:
          type: string
          description: The nationality of the beneficiary
        email:
          type: string
          description: The email of the beneficiary
        phoneNumber:
          type: string
          description: The phone number of the beneficiary
        countryOfResidence:
          type: string
          description: The country of residence of the beneficiary
        address:
          $ref: '#/components/schemas/Address'
    GbpAccountInfo:
      allOf:
        - $ref: '#/components/schemas/GbpAccountInfoBase'
        - type: object
          required:
            - paymentRails
          properties:
            paymentRails:
              type: array
              items:
                type: string
                enum:
                  - FASTER_PAYMENTS
    GbpBeneficiary:
      title: Individual Beneficiary
      type: object
      required:
        - beneficiaryType
        - fullName
      properties:
        beneficiaryType:
          type: string
          enum:
            - INDIVIDUAL
        fullName:
          type: string
          description: The full name of the beneficiary
        birthDate:
          type: string
          description: The birth date of the beneficiary
        nationality:
          type: string
          description: The nationality of the beneficiary
        email:
          type: string
          description: The email of the beneficiary
        phoneNumber:
          type: string
          description: The phone number of the beneficiary
        countryOfResidence:
          type: string
          description: The country of residence of the beneficiary
        address:
          $ref: '#/components/schemas/Address'
    HkdAccountInfo:
      allOf:
        - $ref: '#/components/schemas/HkdAccountInfoBase'
        - type: object
          required:
            - paymentRails
          properties:
            paymentRails:
              type: array
              items:
                type: string
                enum:
                  - BANK_TRANSFER
    HkdBeneficiary:
      title: Individual Beneficiary
      type: object
      required:
        - beneficiaryType
        - fullName
      properties:
        beneficiaryType:
          type: string
          enum:
            - INDIVIDUAL
        fullName:
          type: string
          description: The full name of the beneficiary
        birthDate:
          type: string
          description: The birth date of the beneficiary
        nationality:
          type: string
          description: The nationality of the beneficiary
        email:
          type: string
          description: The email of the beneficiary
        phoneNumber:
          type: string
          description: The phone number of the beneficiary
        countryOfResidence:
          type: string
          description: The country of residence of the beneficiary
        address:
          $ref: '#/components/schemas/Address'
    IdrAccountInfo:
      allOf:
        - $ref: '#/components/schemas/IdrAccountInfoBase'
        - type: object
          required:
            - paymentRails
          properties:
            paymentRails:
              type: array
              items:
                type: string
                enum:
                  - BANK_TRANSFER
    IdrBeneficiary:
      title: Individual Beneficiary
      type: object
      required:
        - beneficiaryType
        - fullName
      properties:
        beneficiaryType:
          type: string
          enum:
            - INDIVIDUAL
        fullName:
          type: string
          description: The full name of the beneficiary
        birthDate:
          type: string
          description: The birth date of the beneficiary
        nationality:
          type: string
          description: The nationality of the beneficiary
        email:
          type: string
          description: The email of the beneficiary
        phoneNumber:
          type: string
          description: The phone number of the beneficiary
        countryOfResidence:
          type: string
          description: The country of residence of the beneficiary
        address:
          $ref: '#/components/schemas/Address'
    InrAccountInfo:
      allOf:
        - $ref: '#/components/schemas/InrAccountInfoBase'
        - type: object
          required:
            - paymentRails
          properties:
            paymentRails:
              type: array
              items:
                type: string
                enum:
                  - UPI
    InrBeneficiary:
      title: Individual Beneficiary
      type: object
      required:
        - beneficiaryType
        - fullName
      properties:
        beneficiaryType:
          type: string
          enum:
            - INDIVIDUAL
        fullName:
          type: string
          description: The full name of the beneficiary
        birthDate:
          type: string
          description: The birth date of the beneficiary
        nationality:
          type: string
          description: The nationality of the beneficiary
        email:
          type: string
          description: The email of the beneficiary
        phoneNumber:
          type: string
          description: The phone number of the beneficiary
        countryOfResidence:
          type: string
          description: The country of residence of the beneficiary
        address:
          $ref: '#/components/schemas/Address'
    KesAccountInfo:
      allOf:
        - $ref: '#/components/schemas/KesAccountInfoBase'
        - type: object
          required:
            - paymentRails
          properties:
            paymentRails:
              type: array
              items:
                type: string
                enum:
                  - MOBILE_MONEY
    KesBeneficiary:
      title: Individual Beneficiary
      type: object
      required:
        - beneficiaryType
        - fullName
      properties:
        beneficiaryType:
          type: string
          enum:
            - INDIVIDUAL
        fullName:
          type: string
          description: The full name of the beneficiary
        birthDate:
          type: string
          description: The birth date of the beneficiary
        nationality:
          type: string
          description: The nationality of the beneficiary
        email:
          type: string
          description: The email of the beneficiary
        phoneNumber:
          type: string
          description: The phone number of the beneficiary
        countryOfResidence:
          type: string
          description: The country of residence of the beneficiary
        address:
          $ref: '#/components/schemas/Address'
    MwkAccountInfo:
      allOf:
        - $ref: '#/components/schemas/MwkAccountInfoBase'
        - type: object
          required:
            - paymentRails
          properties:
            paymentRails:
              type: array
              items:
                type: string
                enum:
                  - MOBILE_MONEY
    MwkBeneficiary:
      title: Individual Beneficiary
      type: object
      required:
        - beneficiaryType
        - fullName
      properties:
        beneficiaryType:
          type: string
          enum:
            - INDIVIDUAL
        fullName:
          type: string
          description: The full name of the beneficiary
        birthDate:
          type: string
          description: The birth date of the beneficiary
        nationality:
          type: string
          description: The nationality of the beneficiary
        email:
          type: string
          description: The email of the beneficiary
        phoneNumber:
          type: string
          description: The phone number of the beneficiary
        countryOfResidence:
          type: string
          description: The country of residence of the beneficiary
        address:
          $ref: '#/components/schemas/Address'
    MxnAccountInfo:
      allOf:
        - $ref: '#/components/schemas/MxnAccountInfoBase'
        - type: object
          required:
            - paymentRails
          properties:
            paymentRails:
              type: array
              items:
                type: string
                enum:
                  - SPEI
    MxnBeneficiary:
      title: Individual Beneficiary
      type: object
      required:
        - beneficiaryType
        - fullName
      properties:
        beneficiaryType:
          type: string
          enum:
            - INDIVIDUAL
        fullName:
          type: string
          description: The full name of the beneficiary
        birthDate:
          type: string
          description: The birth date of the beneficiary
        nationality:
          type: string
          description: The nationality of the beneficiary
        email:
          type: string
          description: The email of the beneficiary
        phoneNumber:
          type: string
          description: The phone number of the beneficiary
        countryOfResidence:
          type: string
          description: The country of residence of the beneficiary
        address:
          $ref: '#/components/schemas/Address'
    MyrAccountInfo:
      allOf:
        - $ref: '#/components/schemas/MyrAccountInfoBase'
        - type: object
          required:
            - paymentRails
          properties:
            paymentRails:
              type: array
              items:
                type: string
                enum:
                  - BANK_TRANSFER
    MyrBeneficiary:
      title: Individual Beneficiary
      type: object
      required:
        - beneficiaryType
        - fullName
      properties:
        beneficiaryType:
          type: string
          enum:
            - INDIVIDUAL
        fullName:
          type: string
          description: The full name of the beneficiary
        birthDate:
          type: string
          description: The birth date of the beneficiary
        nationality:
          type: string
          description: The nationality of the beneficiary
        email:
          type: string
          description: The email of the beneficiary
        phoneNumber:
          type: string
          description: The phone number of the beneficiary
        countryOfResidence:
          type: string
          description: The country of residence of the beneficiary
        address:
          $ref: '#/components/schemas/Address'
    NgnAccountInfo:
      allOf:
        - $ref: '#/components/schemas/NgnAccountInfoBase'
        - type: object
          required:
            - paymentRails
          properties:
            paymentRails:
              type: array
              items:
                type: string
                enum:
                  - BANK_TRANSFER
    NgnBeneficiary:
      title: Individual Beneficiary
      type: object
      required:
        - beneficiaryType
        - fullName
      properties:
        beneficiaryType:
          type: string
          enum:
            - INDIVIDUAL
        fullName:
          type: string
          description: The full name of the beneficiary
        birthDate:
          type: string
          description: The birth date of the beneficiary
        nationality:
          type: string
          description: The nationality of the beneficiary
        email:
          type: string
          description: The email of the beneficiary
        phoneNumber:
          type: string
          description: The phone number of the beneficiary
        countryOfResidence:
          type: string
          description: The country of residence of the beneficiary
        address:
          $ref: '#/components/schemas/Address'
    PhpAccountInfo:
      allOf:
        - $ref: '#/components/schemas/PhpAccountInfoBase'
        - type: object
          required:
            - paymentRails
          properties:
            paymentRails:
              type: array
              items:
                type: string
                enum:
                  - BANK_TRANSFER
    PhpBeneficiary:
      title: Individual Beneficiary
      type: object
      required:
        - beneficiaryType
        - fullName
      properties:
        beneficiaryType:
          type: string
          enum:
            - INDIVIDUAL
        fullName:
          type: string
          description: The full name of the beneficiary
        birthDate:
          type: string
          description: The birth date of the beneficiary
        nationality:
          type: string
          description: The nationality of the beneficiary
        email:
          type: string
          description: The email of the beneficiary
        phoneNumber:
          type: string
          description: The phone number of the beneficiary
        countryOfResidence:
          type: string
          description: The country of residence of the beneficiary
        address:
          $ref: '#/components/schemas/Address'
    RwfAccountInfo:
      allOf:
        - $ref: '#/components/schemas/RwfAccountInfoBase'
        - type: object
          required:
            - paymentRails
          properties:
            paymentRails:
              type: array
              items:
                type: string
                enum:
                  - MOBILE_MONEY
    RwfBeneficiary:
      title: Individual Beneficiary
      type: object
      required:
        - beneficiaryType
        - fullName
      properties:
        beneficiaryType:
          type: string
          enum:
            - INDIVIDUAL
        fullName:
          type: string
          description: The full name of the beneficiary
        birthDate:
          type: string
          description: The birth date of the beneficiary
        nationality:
          type: string
          description: The nationality of the beneficiary
        email:
          type: string
          description: The email of the beneficiary
        phoneNumber:
          type: string
          description: The phone number of the beneficiary
        countryOfResidence:
          type: string
          description: The country of residence of the beneficiary
        address:
          $ref: '#/components/schemas/Address'
    SgdAccountInfo:
      allOf:
        - $ref: '#/components/schemas/SgdAccountInfoBase'
        - type: object
          required:
            - paymentRails
          properties:
            paymentRails:
              type: array
              items:
                type: string
                enum:
                  - PAYNOW
                  - FAST
                  - BANK_TRANSFER
    SgdBeneficiary:
      title: Individual Beneficiary
      type: object
      required:
        - beneficiaryType
        - fullName
      properties:
        beneficiaryType:
          type: string
          enum:
            - INDIVIDUAL
        fullName:
          type: string
          description: The full name of the beneficiary
        birthDate:
          type: string
          description: The birth date of the beneficiary
        nationality:
          type: string
          description: The nationality of the beneficiary
        email:
          type: string
          description: The email of the beneficiary
        phoneNumber:
          type: string
          description: The phone number of the beneficiary
        countryOfResidence:
          type: string
          description: The country of residence of the beneficiary
        address:
          $ref: '#/components/schemas/Address'
    ThbAccountInfo:
      allOf:
        - $ref: '#/components/schemas/ThbAccountInfoBase'
        - type: object
          required:
            - paymentRails
          properties:
            paymentRails:
              type: array
              items:
                type: string
                enum:
                  - BANK_TRANSFER
    ThbBeneficiary:
      title: Individual Beneficiary
      type: object
      required:
        - beneficiaryType
        - fullName
      properties:
        beneficiaryType:
          type: string
          enum:
            - INDIVIDUAL
        fullName:
          type: string
          description: The full name of the beneficiary
        birthDate:
          type: string
          description: The birth date of the beneficiary
        nationality:
          type: string
          description: The nationality of the beneficiary
        email:
          type: string
          description: The email of the beneficiary
        phoneNumber:
          type: string
          description: The phone number of the beneficiary
        countryOfResidence:
          type: string
          description: The country of residence of the beneficiary
        address:
          $ref: '#/components/schemas/Address'
    TzsAccountInfo:
      allOf:
        - $ref: '#/components/schemas/TzsAccountInfoBase'
        - type: object
          required:
            - paymentRails
          properties:
            paymentRails:
              type: array
              items:
                type: string
                enum:
                  - MOBILE_MONEY
    TzsBeneficiary:
      title: Individual Beneficiary
      type: object
      required:
        - beneficiaryType
        - fullName
      properties:
        beneficiaryType:
          type: string
          enum:
            - INDIVIDUAL
        fullName:
          type: string
          description: The full name of the beneficiary
        birthDate:
          type: string
          description: The birth date of the beneficiary
        nationality:
          type: string
          description: The nationality of the beneficiary
        email:
          type: string
          description: The email of the beneficiary
        phoneNumber:
          type: string
          description: The phone number of the beneficiary
        countryOfResidence:
          type: string
          description: The country of residence of the beneficiary
        address:
          $ref: '#/components/schemas/Address'
    UgxAccountInfo:
      allOf:
        - $ref: '#/components/schemas/UgxAccountInfoBase'
        - type: object
          required:
            - paymentRails
          properties:
            paymentRails:
              type: array
              items:
                type: string
                enum:
                  - MOBILE_MONEY
    UgxBeneficiary:
      title: Individual Beneficiary
      type: object
      required:
        - beneficiaryType
        - fullName
      properties:
        beneficiaryType:
          type: string
          enum:
            - INDIVIDUAL
        fullName:
          type: string
          description: The full name of the beneficiary
        birthDate:
          type: string
          description: The birth date of the beneficiary
        nationality:
          type: string
          description: The nationality of the beneficiary
        email:
          type: string
          description: The email of the beneficiary
        phoneNumber:
          type: string
          description: The phone number of the beneficiary
        countryOfResidence:
          type: string
          description: The country of residence of the beneficiary
        address:
          $ref: '#/components/schemas/Address'
    UsdAccountInfo:
      allOf:
        - $ref: '#/components/schemas/UsdAccountInfoBase'
        - type: object
          required:
            - paymentRails
          properties:
            paymentRails:
              type: array
              items:
                type: string
                enum:
                  - ACH
                  - WIRE
                  - RTP
                  - FEDNOW
                  - BANK_TRANSFER
    UsdBeneficiary:
      title: Individual Beneficiary
      type: object
      required:
        - beneficiaryType
        - fullName
      properties:
        beneficiaryType:
          type: string
          enum:
            - INDIVIDUAL
        fullName:
          type: string
          description: The full name of the beneficiary
        birthDate:
          type: string
          description: The birth date of the beneficiary
        nationality:
          type: string
          description: The nationality of the beneficiary
        email:
          type: string
          description: The email of the beneficiary
        phoneNumber:
          type: string
          description: The phone number of the beneficiary
        countryOfResidence:
          type: string
          description: The country of residence of the beneficiary
        address:
          $ref: '#/components/schemas/Address'
    VndAccountInfo:
      allOf:
        - $ref: '#/components/schemas/VndAccountInfoBase'
        - type: object
          required:
            - paymentRails
          properties:
            paymentRails:
              type: array
              items:
                type: string
                enum:
                  - BANK_TRANSFER
    VndBeneficiary:
      title: Individual Beneficiary
      type: object
      required:
        - beneficiaryType
        - fullName
      properties:
        beneficiaryType:
          type: string
          enum:
            - INDIVIDUAL
        fullName:
          type: string
          description: The full name of the beneficiary
        birthDate:
          type: string
          description: The birth date of the beneficiary
        nationality:
          type: string
          description: The nationality of the beneficiary
        email:
          type: string
          description: The email of the beneficiary
        phoneNumber:
          type: string
          description: The phone number of the beneficiary
        countryOfResidence:
          type: string
          description: The country of residence of the beneficiary
        address:
          $ref: '#/components/schemas/Address'
    XofAccountInfo:
      allOf:
        - $ref: '#/components/schemas/XofAccountInfoBase'
        - type: object
          required:
            - paymentRails
          properties:
            paymentRails:
              type: array
              items:
                type: string
                enum:
                  - MOBILE_MONEY
    XofBeneficiary:
      title: Individual Beneficiary
      type: object
      required:
        - beneficiaryType
        - fullName
      properties:
        beneficiaryType:
          type: string
          enum:
            - INDIVIDUAL
        fullName:
          type: string
          description: The full name of the beneficiary
        birthDate:
          type: string
          description: The birth date of the beneficiary
        nationality:
          type: string
          description: The nationality of the beneficiary
        email:
          type: string
          description: The email of the beneficiary
        phoneNumber:
          type: string
          description: The phone number of the beneficiary
        countryOfResidence:
          type: string
          description: The country of residence of the beneficiary
        address:
          $ref: '#/components/schemas/Address'
    ZarAccountInfo:
      allOf:
        - $ref: '#/components/schemas/ZarAccountInfoBase'
        - type: object
          required:
            - paymentRails
          properties:
            paymentRails:
              type: array
              items:
                type: string
                enum:
                  - BANK_TRANSFER
    ZarBeneficiary:
      title: Individual Beneficiary
      type: object
      required:
        - beneficiaryType
        - fullName
      properties:
        beneficiaryType:
          type: string
          enum:
            - INDIVIDUAL
        fullName:
          type: string
          description: The full name of the beneficiary
        birthDate:
          type: string
          description: The birth date of the beneficiary
        nationality:
          type: string
          description: The nationality of the beneficiary
        email:
          type: string
          description: The email of the beneficiary
        phoneNumber:
          type: string
          description: The phone number of the beneficiary
        countryOfResidence:
          type: string
          description: The country of residence of the beneficiary
        address:
          $ref: '#/components/schemas/Address'
    ZmwAccountInfo:
      allOf:
        - $ref: '#/components/schemas/ZmwAccountInfoBase'
        - type: object
          required:
            - paymentRails
          properties:
            paymentRails:
              type: array
              items:
                type: string
                enum:
                  - MOBILE_MONEY
    ZmwBeneficiary:
      title: Individual Beneficiary
      type: object
      required:
        - beneficiaryType
        - fullName
      properties:
        beneficiaryType:
          type: string
          enum:
            - INDIVIDUAL
        fullName:
          type: string
          description: The full name of the beneficiary
        birthDate:
          type: string
          description: The birth date of the beneficiary
        nationality:
          type: string
          description: The nationality of the beneficiary
        email:
          type: string
          description: The email of the beneficiary
        phoneNumber:
          type: string
          description: The phone number of the beneficiary
        countryOfResidence:
          type: string
          description: The country of residence of the beneficiary
        address:
          $ref: '#/components/schemas/Address'
    SparkWalletInfo:
      type: object
      required:
        - address
        - accountType
      properties:
        accountType:
          type: string
          enum:
            - SPARK_WALLET
        address:
          type: string
          description: Spark wallet address
          example: spark1pgssyuuuhnrrdjswal5c3s3rafw9w3y5dd4cjy3duxlf7hjzkp0rqx6dj6mrhu
    LightningInfo:
      type: object
      description: >
        Lightning payment destination. Exactly one of `invoice`, `bolt12`, or
        `lightningAddress` must be provided.
      required:
        - accountType
      properties:
        accountType:
          type: string
          enum:
            - LIGHTNING
        invoice:
          type: string
          description: 1-time use lightning bolt11 invoice payout destination
          example: >-
            lnbc15u1p3xnhl2pp5jptserfk3zk4qy42tlucycrfwxhydvlemu9pqr93tuzlv9cc7g3sdqsvfhkcap3xyhx7un8cqzpgxqzjcsp5f8c52y2stc300gl6s4xswtjpc37hrnnr3c9wvtgjfuvqmpm35evq9qyyssqy4lgd8tj637qcjp05rdpxxykjenthxftej7a2zzmwrmrl70fyj9hvj0rewhzj7jfyuwkwcg9g2jpwtk3wkjtwnkdks84hsnu8xps5vsq4gj5hs
        bolt12:
          type: string
          description: A bolt12 offer which can be reused as a payment destination
          example: >-
            lnbc15u1p3xnhl2pp5jptserfk3zk4qy42tlucycrfwxhydvlemu9pqr93tuzlv9cc7g3sdqsvfhkcap3xyhx7un8cqzpgxqzjcsp5f8c52y2stc300gl6s4xswtjpc37hrnnr3c9wvtgjfuvqmpm35evq9qyyssqy4lgd8tj637qcjp05rdpxxykjenthxftej7a2zzmwrmrl70fyj9hvj0rewhzj7jfyuwkwcg9g2jpwtk3wkjtwnkdks84hsnu8xps5vsq4gj5hs
        lightningAddress:
          type: string
          description: >-
            A lightning address which can be used as a payment destination. Note
            that for UMA addresses, no external account is needed. You can use
            the UMA address directly as a destination.
          example: john.doe@lightningwallet.com
    SolanaWalletInfo:
      type: object
      required:
        - address
        - accountType
      properties:
        accountType:
          type: string
          enum:
            - SOLANA_WALLET
        address:
          type: string
          description: Solana wallet address
          example: 4Nd1m6Qkq7RfKuE5vQ9qP9Tn6H94Ueqb4xXHzsAbd8Wg
    TronWalletInfo:
      type: object
      required:
        - address
        - accountType
      properties:
        accountType:
          type: string
          enum:
            - TRON_WALLET
        address:
          type: string
          description: Tron wallet address
          example: TNPeeaaFB7K9cmo4uQpcU32zGK8G1NYqeL
    PolygonWalletInfo:
      type: object
      required:
        - address
        - accountType
      properties:
        accountType:
          type: string
          enum:
            - POLYGON_WALLET
        address:
          type: string
          description: Polygon eth wallet address
          example: '0xAbCDEF1234567890aBCdEf1234567890ABcDef12'
    BaseWalletInfo:
      type: object
      required:
        - address
        - accountType
      properties:
        accountType:
          type: string
          enum:
            - BASE_WALLET
        address:
          type: string
          description: Base eth wallet address
          example: '0xAbCDEF1234567890aBCdEf1234567890ABcDef12'
    EthereumWalletInfo:
      type: object
      required:
        - address
        - accountType
      properties:
        accountType:
          type: string
          enum:
            - ETHEREUM_WALLET
        address:
          type: string
          description: Ethereum L1 wallet address
          example: '0xAbCDEF1234567890aBCdEf1234567890ABcDef12'
    AedAccountInfo:
      allOf:
        - $ref: '#/components/schemas/AedAccountInfoBase'
        - type: object
          required:
            - paymentRails
          properties:
            paymentRails:
              type: array
              items:
                type: string
                enum:
                  - BANK_TRANSFER
    AedBeneficiary:
      title: Individual Beneficiary
      type: object
      required:
        - beneficiaryType
        - fullName
      properties:
        beneficiaryType:
          type: string
          enum:
            - INDIVIDUAL
        fullName:
          type: string
          description: The full name of the beneficiary
        birthDate:
          type: string
          description: The birth date of the beneficiary
        nationality:
          type: string
          description: The nationality of the beneficiary
        email:
          type: string
          description: The email of the beneficiary
        phoneNumber:
          type: string
          description: The phone number of the beneficiary
        countryOfResidence:
          type: string
          description: The country of residence of the beneficiary
        address:
          $ref: '#/components/schemas/Address'
    BwpAccountInfo:
      allOf:
        - $ref: '#/components/schemas/BwpAccountInfoBase'
        - type: object
          required:
            - paymentRails
          properties:
            paymentRails:
              type: array
              items:
                type: string
                enum:
                  - MOBILE_MONEY
    BwpBeneficiary:
      title: Individual Beneficiary
      type: object
      required:
        - beneficiaryType
        - fullName
      properties:
        beneficiaryType:
          type: string
          enum:
            - INDIVIDUAL
        fullName:
          type: string
          description: The full name of the beneficiary
        birthDate:
          type: string
          description: The birth date of the beneficiary
        nationality:
          type: string
          description: The nationality of the beneficiary
        email:
          type: string
          description: The email of the beneficiary
        phoneNumber:
          type: string
          description: The phone number of the beneficiary
        countryOfResidence:
          type: string
          description: The country of residence of the beneficiary
        address:
          $ref: '#/components/schemas/Address'
    XafAccountInfo:
      allOf:
        - $ref: '#/components/schemas/XafAccountInfoBase'
        - type: object
          required:
            - paymentRails
          properties:
            paymentRails:
              type: array
              items:
                type: string
                enum:
                  - MOBILE_MONEY
    XafBeneficiary:
      title: Individual Beneficiary
      type: object
      required:
        - beneficiaryType
        - fullName
      properties:
        beneficiaryType:
          type: string
          enum:
            - INDIVIDUAL
        fullName:
          type: string
          description: The full name of the beneficiary
        birthDate:
          type: string
          description: The birth date of the beneficiary
        nationality:
          type: string
          description: The nationality of the beneficiary
        email:
          type: string
          description: The email of the beneficiary
        phoneNumber:
          type: string
          description: The phone number of the beneficiary
        countryOfResidence:
          type: string
          description: The country of residence of the beneficiary
        address:
          $ref: '#/components/schemas/Address'
    BdtAccountInfo:
      allOf:
        - $ref: '#/components/schemas/BdtAccountInfoBase'
        - type: object
          required:
            - paymentRails
          properties:
            paymentRails:
              type: array
              items:
                type: string
                enum:
                  - BANK_TRANSFER
                  - MOBILE_MONEY
    BdtBeneficiary:
      title: Individual Beneficiary
      type: object
      required:
        - beneficiaryType
        - fullName
      properties:
        beneficiaryType:
          type: string
          enum:
            - INDIVIDUAL
        fullName:
          type: string
          description: The full name of the beneficiary
        birthDate:
          type: string
          description: The birth date of the beneficiary
        nationality:
          type: string
          description: The nationality of the beneficiary
        email:
          type: string
          description: The email of the beneficiary
        phoneNumber:
          type: string
          description: The phone number of the beneficiary
        countryOfResidence:
          type: string
          description: The country of residence of the beneficiary
        address:
          $ref: '#/components/schemas/Address'
    CopAccountInfo:
      allOf:
        - $ref: '#/components/schemas/CopAccountInfoBase'
        - type: object
          required:
            - paymentRails
          properties:
            paymentRails:
              type: array
              items:
                type: string
                enum:
                  - BANK_TRANSFER
                  - MOBILE_MONEY
    CopBeneficiary:
      title: Individual Beneficiary
      type: object
      required:
        - beneficiaryType
        - countryOfResidence
        - fullName
      properties:
        beneficiaryType:
          type: string
          enum:
            - INDIVIDUAL
        fullName:
          type: string
          description: The full name of the beneficiary
        birthDate:
          type: string
          description: The birth date of the beneficiary
        nationality:
          type: string
          description: The nationality of the beneficiary
        email:
          type: string
          description: The email of the beneficiary
        phoneNumber:
          type: string
          description: The phone number of the beneficiary
        countryOfResidence:
          type: string
          description: The country of residence of the beneficiary
        address:
          $ref: '#/components/schemas/Address'
    EgpAccountInfo:
      allOf:
        - $ref: '#/components/schemas/EgpAccountInfoBase'
        - type: object
          required:
            - paymentRails
          properties:
            paymentRails:
              type: array
              items:
                type: string
                enum:
                  - BANK_TRANSFER
    EgpBeneficiary:
      title: Individual Beneficiary
      type: object
      required:
        - beneficiaryType
        - address
        - countryOfResidence
        - fullName
        - phoneNumber
      properties:
        beneficiaryType:
          type: string
          enum:
            - INDIVIDUAL
        fullName:
          type: string
          description: The full name of the beneficiary
        birthDate:
          type: string
          description: The birth date of the beneficiary
        nationality:
          type: string
          description: The nationality of the beneficiary
        email:
          type: string
          description: The email of the beneficiary
        phoneNumber:
          type: string
          description: The phone number of the beneficiary
        countryOfResidence:
          type: string
          description: The country of residence of the beneficiary
        address:
          $ref: '#/components/schemas/Address'
    GhsAccountInfo:
      allOf:
        - $ref: '#/components/schemas/GhsAccountInfoBase'
        - type: object
          required:
            - paymentRails
          properties:
            paymentRails:
              type: array
              items:
                type: string
                enum:
                  - BANK_TRANSFER
                  - MOBILE_MONEY
    GhsBeneficiary:
      title: Individual Beneficiary
      type: object
      required:
        - beneficiaryType
        - fullName
      properties:
        beneficiaryType:
          type: string
          enum:
            - INDIVIDUAL
        fullName:
          type: string
          description: The full name of the beneficiary
        birthDate:
          type: string
          description: The birth date of the beneficiary
        nationality:
          type: string
          description: The nationality of the beneficiary
        email:
          type: string
          description: The email of the beneficiary
        phoneNumber:
          type: string
          description: The phone number of the beneficiary
        countryOfResidence:
          type: string
          description: The country of residence of the beneficiary
        address:
          $ref: '#/components/schemas/Address'
    GtqAccountInfo:
      allOf:
        - $ref: '#/components/schemas/GtqAccountInfoBase'
        - type: object
          required:
            - paymentRails
          properties:
            paymentRails:
              type: array
              items:
                type: string
                enum:
                  - BANK_TRANSFER
                  - MOBILE_MONEY
    GtqBeneficiary:
      title: Individual Beneficiary
      type: object
      required:
        - beneficiaryType
        - countryOfResidence
        - fullName
      properties:
        beneficiaryType:
          type: string
          enum:
            - INDIVIDUAL
        fullName:
          type: string
          description: The full name of the beneficiary
        birthDate:
          type: string
          description: The birth date of the beneficiary
        nationality:
          type: string
          description: The nationality of the beneficiary
        email:
          type: string
          description: The email of the beneficiary
        phoneNumber:
          type: string
          description: The phone number of the beneficiary
        countryOfResidence:
          type: string
          description: The country of residence of the beneficiary
        address:
          $ref: '#/components/schemas/Address'
    HtgAccountInfo:
      allOf:
        - $ref: '#/components/schemas/HtgAccountInfoBase'
        - type: object
          required:
            - paymentRails
          properties:
            paymentRails:
              type: array
              items:
                type: string
                enum:
                  - MOBILE_MONEY
    HtgBeneficiary:
      title: Individual Beneficiary
      type: object
      required:
        - beneficiaryType
        - fullName
      properties:
        beneficiaryType:
[...]
